[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TExtMemoryStream.Capacity

Size of the allocated memory for the stream.

## Declaration

Source position: lclmemmanager.pas line 93

`public property TExtMemoryStream.Capacity;`

## Description

Capacity is a public PtrInt property in TExtMemoryStream which contains the memory size allocated for the stream. Setting a new value for the property causes the Realloc method to be called to re-allocate memory to the requested value.

## See also

TExtMemoryStream.Realloc |  | Reallocates memory for the stream using the specified capacity.